package #1;

import #1.#x.*;
import paraselene.supervisor.*;
import java.io.*;


/**
 * JSON非同期通信。
 */
public class Json extends #1.#x.Json {
	private static final long serialVersionUID = 1L;

	/**
	 * 出力情報のハンドリングを行う。
	 * リクエストに応じて、固定のレスポンスを生成したい時はnull以外を返して下さい。
	 * nullを返すと、Ajaxクラスにキューイングされたものを使用します。
	 * @param req リクエスト内容。
	 * @return レスポンスするインスタンス。null可。
	 */
	protected Serializable outputMain( RequestParameter req ) throws PageException {
		RequestItem	item = req.getItem( KEY );
		if ( item == null )	return null;
		String	key = item.getValue( 0 );
		// keyの内容に応じて、必要であればnull以外を返して下さい。
		return null;
	}
}

